REM Usage:
REM      sqlplus <user>/<pw> @[SCRIPTFILE] <schema> <object_type> <object_name>
REM 
REM      eg:
REM         sqlplus system/manager @script OEMADMIN scott procedure calc_com
REM Instructions:
REM      Execute the script from SQL*Plus connected with a user with select 
REM      privileges dba_source.




set verify off
set feedback off
set lines 132
set pages 0
set heading off
set space 0
set recsep off

column text format a79
column line noprint

select 'create or replace '||text, line
from dba_source
where owner = upper('&&1')
and type = upper('&&2')
and name = upper('&&3')
and line = 1;

select text, line
from dba_source
where type = upper('&&2')
and owner = upper ('&&1')
and name = upper('&&3')
and line > 1
order by line;
